Loading...
Searching...
No Matches
Dune::Amg::AggregatesPublisher< T, O, SequentialInformation > Struct Template Reference

`#include <dune/istl/paamg/globalaggregates.hh>`

Inheritance diagram for Dune::Amg::AggregatesPublisher< T, O, SequentialInformation >:

## Public Types

typedef T | Vertex
typedef SequentialInformation | ParallelInformation
typedef ParallelInformation::GlobalLookupIndexSet | GlobalLookupIndexSet

## Static Public Member Functions

static void | publish (AggregatesMap< Vertex > &aggregates, ParallelInformation &pinfo, const GlobalLookupIndexSet &globalLookup)

## Member Typedef Documentation

## GlobalLookupIndexSet

template<typename T, typename O>

typedef ParallelInformation::GlobalLookupIndexSet Dune::Amg::AggregatesPublisher< T, O, SequentialInformation >::GlobalLookupIndexSet

## ParallelInformation

template<typename T, typename O>

typedef SequentialInformation Dune::Amg::AggregatesPublisher< T, O, SequentialInformation >::ParallelInformation

## Vertex

template<typename T, typename O>

typedef T Dune::Amg::AggregatesPublisher< T, O, SequentialInformation >::Vertex

## Member Function Documentation

## publish()

template<typename T, typename O>

void Dune::Amg::AggregatesPublisher< T, O, SequentialInformation >::publish | ( | AggregatesMap< Vertex > & | aggregates,
|  | ParallelInformation & | pinfo,
|  | const GlobalLookupIndexSet & | globalLookup )

inline static

The documentation for this struct was generated from the following file:

- globalaggregates.hh